%define major 3
%define minor 2
%define libname lib%{name}

Summary:	Another one web indexing and searching system for a small domain or intranet
Name:		mnogosearch
Version:	3.2.39
Release:	1
License:	GPL
Group:		System Environment/Daemons
URL:		http://www.mnogosearch.org/
Source0:	http://www.mnogosearch.org/Download/mnogosearch-%{version}.tar.bz2
Source1:	%{name}-dbgen.bz2
Source2:	%{name}-Mysql-database.bz2
Source3:	%{name}.png
Patch0:		mnogosearch-3.2.35-local_button.diff
Patch1:		mnogosearch-3.2.16-udm-config.patch.bz2
Patch2:		mnogosearch-3.2.38-soname.diff
Patch3:		%{name}-3.2.11-docs_fix.patch.bz2
PreReq:		webserver
BuildRequires:	autoconf
BuildRequires:	automake17
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	expat-devel
BuildRequires:	openssl-devel
BuildRequires:	openjade
BuildRequires:	docbook-utils
Conflicts:	gnusearch
BuildRequires:	mysql-devel >= 5.0
BuildRequires:	postgresql-devel >= 8.1.4
BuildRequires:	readline-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
mnoGoSearch (formerly known as UdmSearch) is a full-featured Web
search engine that you can use to build search engines over HTTP,
HTTPS, FTP, and NTTP servers, local files, and database big text
fields. It supports Oracle, MS SQL Server, MySQL, PostgreSQL,
InterBase/Firebird, Openlink Virtuoso, Intersystems Cach, iODBC,
EasySoft ODBC, and unixODBC database backends. It has XML, HTML,
and TEXT built-in support, and external converters support for
other document types. An automatic language/charset guesser for
more 70 language/charset combinations is included, along with
basic authorization support, and you may index password-protected
intranet HTTP servers with proxy authorization support. 

mnoGoSearch is built with MySQL support.

%package -n		%{libname}
Summary:		Libraries for %{name} 
Group:          	System Environment/Libraries

%description -n		%{libname}
This package contains the %{name} library files.

%package -n		%{libname}-devel
Summary:		Development headers and libraries for %{name}
Group:			Development/Libraries
Requires:		%{libname} = %{version}

%description -n		%{libname}-devel
This package contains the %{name} development files.

%prep

%setup -q -n mnogosearch-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

# CVS cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix one weird bug...
echo "SUBDIRS= mysql pgsql sqlite cache" > create/Makefile.am

bzcat %{SOURCE1} > mnogosearch-dbgen
bzcat %{SOURCE2} > mysql.sql
cp %{SOURCE3} mnogosearch.png

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build
export WANT_AUTOCONF_2_5=1
rm -f missing configure
libtoolize --automake --copy --force; aclocal-1.7 -I build/m4; autoconf; automake-1.7 --copy --add-missing --force

# the build doesn't survive using %{optflags}, really really weird!
#export CFLAGS="%{optflags}"

./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir}/mnogosearch  \
    --datadir=%{_datadir}/mnogosearch  \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir}/spool/mnogosearch \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-syslog --enable-syslog=LOG_LOCAL6 \
    --with-mysql \
    --with-pgsql \
    --enable-parser \
    --enable-mp3 \
    --enable-file \
    --enable-http \
    --enable-ftp \
    --enable-news \
    --with-openssl=%{_prefix} \
    --with-zlib \
    --with-readline \
    --with-extra-charsets=all

# --enable-mysql-fulltext-plugin  <- requires mysql 5.1.x

make

# TODO: --with-expat
# conditional build: --with-unixODBC --with-freetds

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_includedir}/%{name}-%{version}
install -d %{buildroot}%{_infodir}
install -d %{buildroot}%{_localstatedir}
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -d %{buildroot}/var/www/cgi-bin
install -d %{buildroot}/var/www/html
install -d %{buildroot}/var/www/icons

%makeinstall \
	sysconfdir=%{buildroot}%{_sysconfdir}/mnogosearch \
	localstatedir=%{buildroot}%{_localstatedir}/spool/mnogosearch \
	datadir=%{buildroot}%{_datadir}/mnogosearch

mv -f %{buildroot}%{_bindir}/*.cgi %{buildroot}/var/www/cgi-bin/

(cd %{buildroot}%{_sysconfdir}/%{name}
echo "#"> locals
for f in *-dist ; do
    mv -f $f `basename $f -dist`
done
)

install -m0755 mnogosearch-dbgen %{buildroot}%{_sysconfdir}/cron.daily/
install -m0644 mnogosearch.png %{buildroot}/var/www/icons/

# fix one tiny bug
perl -pi -e "s|/usr/local/mnogosearch/sbin/indexer|%{_sbindir}/indexer|g" %{buildroot}%{_sysconfdir}/mnogosearch/indexer.conf

# fix docs
rm -rf html; mkdir -p html
cp -p doc/*.html html/

# rename this file
mv %{buildroot}%{_bindir}/udm-config %{buildroot}%{_bindir}/%{name}-%{version}-config

# move headers in place (P2 should help finding this)
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}-%{version}/

# cleanup
rm -rf %{buildroot}/usr/doc
rm -rf %{buildroot}%{_datadir}/%{name}/sqlite

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr (0644,root,root,0755)
%doc ChangeLog README TODO html doc/samples
%attr (0755,root,root) %{_sbindir}/indexer
%attr (0755,root,root) %{_bindir}/mconv
%attr (0755,root,root) %{_bindir}/mguesser
%attr (0755,root,root) /var/www/cgi-bin/*
%attr (0644,root,root) /var/www/icons/mnogosearch.png
%dir %{_localstatedir}/spool/mnogosearch
%dir %{_localstatedir}/spool/mnogosearch/cache
%dir %{_sysconfdir}/mnogosearch
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/indexer.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/langmap.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/stopwords.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/*.htm
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/mandarin.freq
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/thai.freq
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/TraditionalChinese.freq
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/locals
%dir %{_sysconfdir}/mnogosearch/langmap
%dir %{_sysconfdir}/mnogosearch/stopwords
%dir %{_sysconfdir}/mnogosearch/synonym
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/mnogosearch/*/*
%config(noreplace) %attr (0755,root,root) %{_sysconfdir}/cron.daily/*
%attr (0644,root,root) %{_mandir}/man?/*
%{_datadir}/mnogosearch/cache
%{_datadir}/mnogosearch/mysql
%{_datadir}/mnogosearch/pgsql

%files -n %{libname}
%defattr (0644,root,root,0755)
%attr (0755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr (0644,root,root,0755)
%attr (0755,root,root) %{_bindir}/mnogosearch-%{version}-config
%attr (0644,root,root) %{_includedir}/mnogosearch-%{version}/*.h
%attr (0644,root,root) %{_libdir}/*.a
%attr (0644,root,root) %{_libdir}/*.la
%attr (0755,root,root) %{_libdir}/*.so

%changelog
* Sun Jul 16 2006 Peter Hanecak <hany@hany.sk> 3.2.39-1
- adapted to Doors (FC)
- enabled also PostgreSQL support

* Thu Jun 08 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.39-1mdv2007.0
- 3.2.39

* Sun Mar 19 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.38-1mdk
- 3.2.38
- rediffed P2

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 3.2.36-1mdk
- 3.2.36 (Major feature enhancements)
- rediffed P2

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.35-1mdk
- 3.2.35
- fix soname
- tune it for heavy duty and use MySQL as the backend engine

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.29-6mdk
- rpmlint fixes

* Mon Feb 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.29-5mdk
- fix deps and conditional %%multiarch

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.29-4mdk
- revert latest "lib64 fixes"

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.29-3mdk
- lib64 fixes
- no..., spamassassin at mdk does not like this package...

* Sat Dec 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.29-2mdk
- new %%description (the old one annoyed spamassassin on the changelog list;))

* Sat Dec 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.29-1mdk
- 3.2.29

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.28-1mdk
- 3.2.28

* Sun Dec 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.26-1mdk
- 3.2.26

* Wed Nov 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.25-2mdk
- nuke redundant provides
- fix deps

* Tue Nov 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.25-1mdk
- 3.2.25

* Fri Nov 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.24-1mdk
- 3.2.24

* Thu Oct 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.23-1mdk
- 3.2.23

* Fri Oct 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.22-1mdk
- 3.2.22

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.21-1mdk
- 3.2.21

* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.20-1mdk
- 3.2.20

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.19-1mdk
- 3.2.19

* Tue Jun 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.18-1mdk
- 3.2.18

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.17-1mdk
- 3.2.17

* Mon Apr 19 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.2.16-1mdk
- 3.2.16
- stored and cached is dead, long live searchd...
- added S2 from PLD
- merge the static devel package into the devel package
- misc spec file fixes

* Wed Feb 25 2004 Pascal Terjan <pterjan@mandrake.org> 3.2.15-3mdk
- own %%{_sysconfdir}/%%{name}

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 3.2.15-2mdk
- conflict gnusearch

* Sat Sep 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.15-1mdk
- 3.2.15
- build against sqlite per default
- fix invalid-build-requires
- fix explicit-lib-dependency

* Tue Aug 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.14-1mdk
- 3.2.14
- use --with-mysql as --with-built-in is broken
- fix requires, buildrequires and obsoletes
- misc spec file fixes

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.11-2mdk
- rebuild

* Mon Jun 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.11-1mdk
- 3.2.11
- drop P0, it's included upstream
- rediff P2 & P3
- added P4 to make the install work (wierd stuff!)
- added new installed files
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.10-3mdk
- make it provide

* Mon Apr 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.10-2mdk
- try to fix the soname again...

* Fri Apr 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.10-1mdk
- 3.2.10
- try to fix the soname

* Sat Apr 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.9-1mdk
- 3.2.9
- lots and lots and lots of spec and config file fixes
- use the %%mklibname stuff
- added P2 and fix unversioned files (is this correct?)
- fix S3 & S4 (piddir amongst others, duh!)
- need help fixing "invalid-soname", anyone?

* Sat Feb 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.8-1mdk
- 3.2.8
- drop P2 & P3
- rediff P1
- add UDM_CONF_DIR env var to S3 & S4

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.7-3mdk
- rebuilt against rebuilt buildrequires

* Tue Jan 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.7-2mdk
- new S3 & S4
- misc spec file fixes

* Wed Jan 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.7-1mdk
- 3.2.7
- rediff P0

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.6-1mdk
- initial cooker contrib, ripped from PLD, adapted for ML
- used spec file voodoo magic from the nagios package to be able
  to rebuild with either MySQL or PostgreSQL support.
- fixed the init scripts
- added S5 and P3
